---
# [INSTALL_CONFIG]
NEXTCLOUD_VERSION: "25.0.6"
NEXTCLOUD_TARBALL: "nextcloud-{{ NEXTCLOUD_VERSION }}.tar.bz2"
NEXTCLOUD_URL: "https://download.nextcloud.com/server/releases/{{ NEXTCLOUD_TARBALL }}"
NEXTCLOUD_GPG: "https://nextcloud.com/nextcloud.asc"
GPG_FINGERPRINT: "28806A878AE423A28372792ED75899B9A724937A"

# [DATABASE_CONFIG]
db_host: "127.0.0.1" # overload from the role
db_port: "3306"
nc_db_name: "nextcloudb"
nc_db_user: "nextcloudb" # overload from the role
nc_db_password: "secret" # overload from the role

# [REDIS CONFIG]
redis_daemon: "none"
redis_host: "127.0.0.1"
redis_port: "6379"

# [WEB CONFIG]
ssl_path: "/etc/{{ ansible_fqdn }}/ssl"
nc_data_dir: "/srv/data"
nc_admin_name: "pedro"
nc_admin_pwd: "pedro"

# [NEXTCLOUD CONFIG]
nc_global_name: "nc.test"
nextcloud_ipv6: false
# If our internet requires proxy to work
nc_proxy: false
nc_proxy_url: "proxy.sipr.ucl.ac.be:889"

## Custom nextcloud settings
## https://docs.nextcloud.com/server/12/admin_manual/configuration_server/config_sample_php_parameters.html
nextcloud_config_settings:
  - { name: 'default_phone_region', value: 'BE' }  # set a country code using ISO 3166-1
  - { name: 'open_basedir', value: '/dev/urandom' }
  - { name: 'mysql.utf8mb4', value: 'true' }
  - { name: 'updater.release.channel', value: 'production' }  # production | stable | daily | beta
  - { name: 'mail_smtpmode', value: 'smtp' }
  - { name: 'mail_domain', value: 'uclouvain.be' }
  - { name: 'mail_smtphost', value: 'smtp.sgsi.ucl.ac.be' }
  - { name: 'mail_smtpauthtype', value: 'LOGIN' }
  - { name: 'overwriteprotocol', value: 'https' }

# [LOG]
nc_loglevel: 2
nc_log_rotate_size: 10485760
nc_background_cron: true
nc_cron_period: 10 # every <nc_cron_period> min

# [BACKUP]
nfs_server: "127.0.0.1"
nfs_path: "/backup/nextcloud"

# [APPS]
nc_collabora: false
nextcloud_apps:
  - twofactor_totp
  - deck
  - tasks
  - calendar
  - contacts
  #- apporder

# [OBJECTSTORE]
objectstore_s3_install: false
objectstore_s3_bucket_name: "nextcloud"
objectstore_s3_key: "9TEYR63U7US6LID709C4"
objectstore_s3_secret: "72mwowlA1pW81n6hw8SyJD8vxNDSZfwHaOnQ4hhR"
objectstore_s3_hostname: "192.168.64.51"
objectstore_s3_port: "7480"
objectstore_s3_use_ssl: false
objectstore_s3_region: "be"
objectstore_s3_use_path_style: true

